package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * WlanSimpleOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WlanSimpleOpenApiVo   {
  @JsonProperty("wlanId")
  private String wlanId;

  @JsonProperty("wlanName")
  private String wlanName;

  @JsonProperty("ssidList")
  @Valid
  private List<SsidSimpleOpenApiVo> ssidList = null;

  public WlanSimpleOpenApiVo wlanId(String wlanId) {
    this.wlanId = wlanId;
    return this;
  }

  /**
   * ID of WLAN
   * @return wlanId
  */
  @ApiModelProperty(value = "ID of WLAN")


  public String getWlanId() {
    return wlanId;
  }

  public void setWlanId(String wlanId) {
    this.wlanId = wlanId;
  }

  public WlanSimpleOpenApiVo wlanName(String wlanName) {
    this.wlanName = wlanName;
    return this;
  }

  /**
   * Name of WLAN
   * @return wlanName
  */
  @ApiModelProperty(value = "Name of WLAN")


  public String getWlanName() {
    return wlanName;
  }

  public void setWlanName(String wlanName) {
    this.wlanName = wlanName;
  }

  public WlanSimpleOpenApiVo ssidList(List<SsidSimpleOpenApiVo> ssidList) {
    this.ssidList = ssidList;
    return this;
  }

  public WlanSimpleOpenApiVo addSsidListItem(SsidSimpleOpenApiVo ssidListItem) {
    if (this.ssidList == null) {
      this.ssidList = new ArrayList<>();
    }
    this.ssidList.add(ssidListItem);
    return this;
  }

  /**
   * SSID list that support MAC-Based authentication
   * @return ssidList
  */
  @ApiModelProperty(value = "SSID list that support MAC-Based authentication")

  @Valid

  public List<SsidSimpleOpenApiVo> getSsidList() {
    return ssidList;
  }

  public void setSsidList(List<SsidSimpleOpenApiVo> ssidList) {
    this.ssidList = ssidList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WlanSimpleOpenApiVo wlanSimpleOpenApiVo = (WlanSimpleOpenApiVo) o;
    return Objects.equals(this.wlanId, wlanSimpleOpenApiVo.wlanId) &&
        Objects.equals(this.wlanName, wlanSimpleOpenApiVo.wlanName) &&
        Objects.equals(this.ssidList, wlanSimpleOpenApiVo.ssidList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wlanId, wlanName, ssidList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WlanSimpleOpenApiVo {\n");
    
    sb.append("    wlanId: ").append(toIndentedString(wlanId)).append("\n");
    sb.append("    wlanName: ").append(toIndentedString(wlanName)).append("\n");
    sb.append("    ssidList: ").append(toIndentedString(ssidList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

